## org.omg.TimeBase
Class TimeTHelper

    java.lang.Object
      |
      +--org.omg.TimeBase.TimeTHelper

public class TimeTHelper
extends java.lang.Object

Helper class for : TimeT

Author:
  OpenORB Compiler

Constructor Summary
`TimeTHelper()`

Method Summary
`static long` `extract(Any a)` Extract TimeT from an any
`static java.lang.String` `id()` Return the TimeT IDL ID
`static void` `insert(Any a, long t)` Insert TimeT into an any
`static long` `read(InputStream istream)` Read TimeT from a marshalled stream
`static TypeCode` `type()` Return the TimeT TypeCode
`static void` `write(OutputStream ostream, long value)` Write TimeT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeTHelper

    public TimeTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              long t)

  Insert TimeT into an any
  Parameters:
    `a` - an any
    `t` - TimeT value

### extract

    public static long extract(Any a)

  Extract TimeT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TimeT value

### type

    public static TypeCode type()

  Return the TimeT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TimeT IDL ID
  Returns:
    an ID

### read

    public static long read(InputStream istream)

  Read TimeT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TimeT value

### write

    public static void write(OutputStream ostream,
                             long value)

  Write TimeT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TimeT value